<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link rel="stylesheet" type="text/css" href="css/pseudoclases.css">
    <title>Pseudoclases</title>
</head>
<body>
    
    <h1>pseudoclases</h1>

    <section>
        <p>links</p>
        <a href="##">Primer URL</a>
        <a href="##">Segunda URL</a>
        <a href="##">Tercera URL</a>
    </section>

    <section>
        <p>Interacción usuario</p>
        <input type="text" name="miText">
        <input type="checkbox" name="option1">
        <span>Opcion 1</span>
        <input type="checkbox" name="option2">
        <span>Opcion 2</span>
        <input type="checkbox" name="option3">
        <span>Opcion 3</span>
    </section>

    <section>
        <p>input readonly</p>
        <input type="text" name="myText2" readonly>
    </section>

    <section>
        <p>input required/optional</p>
        <input type="text" name="myText3" required>
        <input type="text" name="myText4" class="myText4">
    </section>

    <section>
        <p>Validaciones</p>
        <input type="text" name="age" pattern="[0-9]+" class="valid1"/>
    </section>

    <section>
        <p>Rangos</p>
        <input type="text" name="age" min="18" max="100" class="rang"/>
    </section>

    <section>
        <article>
            <strong>strong 1</strong>
            <span>span1</span>
            <strong>strong 2</strong>
            <span>span2</span>
            <strong>strong 3</strong> 
        </article>
    </section>

    <section>
        <p>before/after</p>
        <div class="abuelo">
            <p>Parrafo 1</p>
            <p>Parrafo 2</p>
            <div class="padre">
                <div class="hijo">
                    <a title="titulo hijo1">Hijo1</a>
                </div>
                <div class="hijo">
                    <a>Hijo2</a>
                </div>
                <div class="hijo">
                    <a>Hijo3</a>
                </div>
            </div>
            <p>Parrafo 3</p>
            <p>Parrafo 4</p>
        </div>
    </section>

    <section class="pseudoelementos2">
        <p>Lorem ipsum dolor sit amet consectetur adipiscing elit mollis magnis, 
            vestibulum quis eros fames gravida turpis purus. Ornare tortor conubia 
            feugiat neque vitae suscipit facilisis vivamus tellus a, dis sociosqu nec 
            auctor ac cubilia cras volutpat morbi, bibendum varius nam nisi inceptos 
            class mauris vel nibh. Aptent fusce quis egestas nam porttitor fermentum, 
            nibh sollicitudin taciti tristique tempus nascetur semper, nunc elementum 
            justo ac tempor.</p>
    </section>

    <section class="pseudoelementos3">
        <p>Lorem ipsum dolor sit amet consectetur adipiscing elit mollis magnis, 
            vestibulum quis eros fames gravida turpis purus. Ornare tortor conubia 
            feugiat neque vitae suscipit facilisis vivamus tellus a, dis sociosqu nec 
            auctor ac cubilia cras volutpat morbi, bibendum varius nam nisi inceptos 
            class mauris vel nibh. Aptent fusce quis egestas nam porttitor fermentum, 
            nibh sollicitudin taciti tristique tempus nascetur semper, nunc elementum 
            justo ac tempor.</p>
    </section>
</body>
</html>